org.apache.cassandra.metrics

## Class MessagingMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.MessagingMetrics

-     public class MessagingMetrics
      extends java.lang.Object

  Metrics for messages

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.codahale.metrics.Timer` | `crossNodeLatency`
    `java.util.concurrent.ConcurrentHashMap<java.lang.String,com.codahale.metrics.Timer>` | `dcLatency`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MessagingMetrics()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTimeTaken(java.net.InetAddress from, long timeTaken)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### crossNodeLatency

          public final com.codahale.metrics.Timer crossNodeLatency

    - #### dcLatency

          public final java.util.concurrent.ConcurrentHashMap<java.lang.String,com.codahale.metrics.Timer> dcLatency

  - ### Constructor Detail

    - #### MessagingMetrics

          public MessagingMetrics()

  - ### Method Detail

    - #### addTimeTaken

          public void addTimeTaken(java.net.InetAddress from,
                                   long timeTaken)

Copyright © 2018 The Apache Software Foundation